package node

// 堆叠（Stack）相关触发
func (this *EffectNode) OnStackBefore() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnStack() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnBeforeConsumeStack() bool {
	panic("not implemented") // TODO: Implement
}

func (this *EffectNode) OnConsumeStack() bool {
	panic("not implemented") // TODO: Implement
}
